package de.fhdw.wtf.tooling.editor.proposals;

import org.eclipse.jface.text.IDocument;

public class UserTypeProposal extends ColonOffsetProposal {
	private static UserTypeProposal instance;
	
	public static synchronized UserTypeProposal create() {
		if (instance == null) {
			instance = new UserTypeProposal(new String[500]);
		}
		return instance;
	}
	
	private UserTypeProposal(final String[] proposals) {
		super(proposals);
	}
	
	@Override
	protected boolean isValid(final char c, final int offset, final IDocument doc) {
		return c == '{';
	}
	
	@Override
	protected boolean isInvalid(final char c, final int offset, final IDocument doc) {
		return c == '[' || c == '}' || offset == 0;
	}
	
}
